Bug 729753 - zabbix-server-pgsql doesn't start
Summary: zabbix-server-pgsql doesn't start
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: zabbix
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-10 18:17 UTC by Trever Adams
Modified: 2012-10-15 21:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-10-15 21:04:31 UTC


Attachments (Terms of Use)

Description Trever Adams 2011-08-10 18:17:49 UTC
Description of problem:
It appears that zabbix-server-pgsql doesn't start properly. I imagine this is because systemd hasn't yet started postgresql and zabbix startup stuff isn't configured properly to wait on postgresql. Zabbix can be started manually AFTER boot, but doesn't start automatically.

Version-Release number of selected component (if applicable):
1.8.5-3

Comment 1 Orion Poplawski 2011-11-21 20:13:57 UTC
As a workaround for mysql, I copied /lib/systemd/system/mysqld.service to /etc/systemd/system/ and added:

Before=zabbix-server.service

The same could be done with postgresql.service.

Comment 2 Volker Fröhlich 2012-10-15 21:04:31 UTC
https://support.zabbix.com/browse/ZBX-4275


Note You need to log in before you can comment on or make changes to this bug.